egdata API
API ReferenceCatalog

Hydrate catalog records for known technical identifiers

Resolves up to 25 item, asset, or release-app roots directly from the catalog collections. The response is NDJSON with one isolated, content-hashed graph result per line.

POST
/catalog/hydrate

Resolves up to 25 item, asset, or release-app roots directly from the catalog collections. The response is NDJSON with one isolated, content-hashed graph result per line.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

schemaVersion*integer
Value in2
identifiers*array<||>
Items1 <= items <= 25
knownRoots*array<>
Itemsitems <= 25
knownRecords*array<>
Itemsitems <= 5000

Response Body

application/x-ndjson

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/catalog/hydrate" \  -H "Content-Type: application/json" \  -d '{    "schemaVersion": 2,    "identifiers": [      {        "type": "item",        "namespace": "string",        "id": "string"      }    ],    "knownRoots": [      {        "rootKey": "string",        "graphHash": "string"      }    ],    "knownRecords": [      {        "recordKey": "string",        "sha256": "string"      }    ]  }'
"string"
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}